Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface ServletMappingType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ServletMappingTypeImpl

    public interface ServletMappingType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `servlet-mappingType` xsd type

Original Documentation:

The servlet-mappingType defines a mapping between a
servlet and a url pattern.
Used in: web-app

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getServletName()` Returns the `servlet-name` element
`java.util.List<java.lang.String>` | `getUrlPatternList()` Returns all `url-pattern` elements
`ServletMappingType<T>` | `removeAllUrlPattern()` Removes the `url-pattern` element
`ServletMappingType<T>` | `removeServletName()` Removes the `servlet-name` element
`ServletMappingType<T>` | `setServletName(java.lang.String servletName)` If not already created, a new `servlet-name` element with the given value will be created.
`ServletMappingType<T>` | `setUrlPattern(java.lang.String urlPattern)` Creates a new `url-pattern` element
`ServletMappingType<T>` | `setUrlPatternList(java.lang.String... values)` Creates for all String objects representing `url-pattern` elements, a new `url-pattern` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setServletName

    ServletMappingType<T> setServletName(java.lang.String servletName)

  If not already created, a new `servlet-name` element with the given value will be created. Otherwise, the existing `servlet-name` element will be updated with the given value.

  Returns:
    the current instance of `ServletMappingType`

### removeServletName

    ServletMappingType<T> removeServletName()

  Removes the `servlet-name` element

  Returns:
    the current instance of `ServletMappingType`

### getServletName

    java.lang.String getServletName()

  Returns the `servlet-name` element

  Returns:
    the node defined for the element `servlet-name`

### setUrlPattern

    ServletMappingType<T> setUrlPattern(java.lang.String urlPattern)

  Creates a new `url-pattern` element

  Returns:
    the current instance of `ServletMappingType`

### setUrlPatternList

    ServletMappingType<T> setUrlPatternList(java.lang.String... values)

  Creates for all String objects representing `url-pattern` elements, a new `url-pattern` element

  Parameters:
    `list` - of `url-pattern` objects
  Returns:
    the current instance of `ServletMappingType`

### removeAllUrlPattern

    ServletMappingType<T> removeAllUrlPattern()

  Removes the `url-pattern` element

  Returns:
    the current instance of `ServletMappingType`

### getUrlPatternList

    java.util.List<java.lang.String> getUrlPatternList()

  Returns all `url-pattern` elements

  Returns:
    list of `url-pattern`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD